require( "scripts/style.lua" );




HeaderFont = {
  standardFont,
  22,
  BorderColor
};

BodyFont = {
  standardFont,
  16,
  RedColor
};


MakeDialog
{
	Bitmap
	{ 
		image="backgrounds/popup",	
		x=kCenter,
		y=kCenter,
		
		UnlockWindow
		{
			x = 0, y = 0,
			w = kMax, h = kMax,
			
			Text
			{
				font = HeaderFont,
				name = "title",
				x=50,y=130,w=kMax-50,h=120,
				flags = kHAlignCenter + kVAlignTop,
				label = "unlockedheader"
			};
			
			Text
			{
				font = BodyFont,
				name = "body",
				x=50,y=225,w=kMax-50,h=50,
				flags = kHAlignCenter + kVAlignTop,
				label = ""
			};
		
			SetStyle(StandardButtonStyle);
			Button
			{
				x=kCenter,
				y=-75,
				name="continue",
				label="continue",
				default=true,
				command=
						function()
							PopModal();
						end
			},
			SetStyle(DefaultStyle);
				
		},
	},
}